=== debian/changelog ===
ktorrent (5.1.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Tue, 05 Sep 2017 21:06:30 +0200

ktorrent (5.1.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release: (Closes: #821180)
    - the plugin system of Frameworks does not use sycoca anymore
      (Closes: #504271)
    - fixes a download order bug in queue (Closes: #763902)
    - the ipfilter plugin updates correctly from compressed files
      (Closes: #767218) (LP: #1207589)
    - switches from Qt4 (using QtWebKit) to Frameworks (Closes: #784487)
    - the switch to KF5 makes the scripting plugin work again, as krosspython
      was already switched to KF5 (Closes: #832547)
    - the search line edit is reset when closing it (Closes: #859250)
  * Update the build dependencies following the port to Frameworks:
    - remove libqt4-dev, kdelibs5-dev, libphonon-dev, kdepimlibs5-dev, and
      libqtwebkit-dev
    - add extra-cmake-modules, qtbase5-dev, qtscript5-dev, libphonon4qt5-dev,
      libphonon4qt5experimental-dev, libkf5archive-dev, libkf5completion-dev,
      libkf5config-dev, libkf5configwidgets-dev, libkf5coreaddons-dev,
      libkf5crash-dev, libkf5dbusaddons-dev, libkf5dnssd-dev,
      libkf5doctools-dev, libkf5i18n-dev, libkf5iconthemes-dev, libkf5kio-dev,
      libkf5itemviews-dev, libkf5notifications-dev, libkf5notifyconfig-dev,
      libkf5kcmutils-dev, libkf5parts-dev, libkf5plotting-dev,
      libkf5service-dev, libkf5solid-dev, libkf5textwidgets-dev,
      libkf5widgetsaddons-dev, libkf5windowsystem-dev, libkf5xmlgui-dev,
      libkf5webkit-dev, kross-dev, and libkf5syndication-dev
  * Update the patches:
    - dont_link_with_kutils.patch: drop, obsolete
    - upstream_Properly-support-x-scheme-handler-magnet-mimetype-an.patch:
      drop, backported from upstream
    - upstream_webinterface-rename-major-minor-to-major_version-min.patch:
      drop, backported from upstream
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Bump the libktorrent-dev build dependency to >= 2.1.
  * Update install files.
  * Update Vcs-Browser field.
  * Switch Homepage away from the dead ktorrent.org. (Closes: #837216)
  * Call dh_install with --fail-missing, so nothing is accidentally left
    uninstalled.
  * Update lintian overrides.
  * Remove obsolete not-installed file.
  * Suggest geoip-database, even if libgeoip1 already recommends it.
    (Closes: #778813)
  * Update the flags for cmake:
    - drop -DCMAKE_USE_RELATIVE_PATHS=ON, obsolete since cmake 3.2
    - switch -DKDE4_BUILD_TESTS=false to -DBUILD_TESTING=OFF, which is what
      ECM provides
  * Remove the libx11-dev build dependency, no more needed.
  * Drop all the pre-Jessie replaces/breaks.
  * Bump the cmake build dependency to >= 2.8.12.
  * Bump Standards-Version to 4.1.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 01 Sep 2017 23:22:02 +0200

ktorrent (4.3.1-5) unstable; urgency=medium

  * Team upload.
  * Remove ktorrent-dbg in favour of the -dbgsym packages.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Update watch file.

 -- Pino Toscano <pino@debian.org>  Tue, 07 Jun 2016 16:47:22 +0200

ktorrent (4.3.1-4) unstable; urgency=medium

  * Team upload.
  * Remove obsolete and unused installgen file.
  * Update Vcs-* fields.
  * Drop menu file and its pixmap, since ktorrent already provides a .desktop
    file.
  * Remove the README.Debian file, since all the information it contains are
    long obsolete.
  * Restore the krosspython suggest in ktorrent, removed in 4.3.1-3.
  * Backport upstream commit e22c887b55ec5e83db959c3b98d448947c886cc0 to fix
    build with GCC 6; patch
    upstream_webinterface-rename-major-minor-to-major_version-min.patch.
    (Closes: #811942)
  * Link in as-needed mode.
  * Remove manual CPPFLAGS handling, no more needed in debhelper compat 9.
  * Remove extra libsoprano-dev build dependency, which was added as workaround
    for a bug in kdelibs5-dev.
  * Replace kubuntu_magnet-mimetype.diff with part of the upstream commit
    f090d11e8837d944dedb40f873713abe4e15d4b4; patch
    upstream_Properly-support-x-scheme-handler-magnet-mimetype-an.patch.

 -- Pino Toscano <pino@debian.org>  Sun, 14 Feb 2016 17:34:29 +0100

ktorrent (4.3.1-3) unstable; urgency=medium

  * Team upload.

  [ Jonathan Riddell ]
  * Remove build-dep on kde-workspace, soon to be removed from the archive
  * Remove shutdown plugin from .install file which required kde-workspace
  * Add kubuntu_magnet-mimetype.diff to open magnet links
  * Remove obsolete build-dep on nepomuk-core-dev

  [ Scott Kitterman ]
  * Remove plasma-widget-ktorrent package as it is not compatible with
    Plasma 5
  * Remove obsolete ktorrent suggests
  * Remove ancient build-conflicts
  * Backport Ubuntu changes to Debian
  * Add build-depends on libsoprano-dev
  * Bump standards version to 3.9.6 without further change

 -- Scott Kitterman <scott@kitterman.com>  Mon, 31 Aug 2015 12:48:22 -0400
