=== debian/watch ===
version=4

http://download.kde.org/stable/ktorrent/([\d.]+)/ktorrent-([\d.]+)\.tar.xz
