=== debian/changelog ===
ktorrent (5.1.1-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Fri, 22 Jan 2021 11:44:40 +0800

ktorrent (5.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes build with Qt >= 5.11 (Closes: #907328)
  * Update the patches:
    - upstream_QTimer-may-not-be-an-incomplete-type-as-it-is-used-a.patch:
      drop, backported from upstream
  * Remove the libkf5service-dev build dependency, no more needed.
  * Update Vcs-* fields.
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 04 Sep 2018 07:31:46 +0200

ktorrent (5.1.0-3) unstable; urgency=medium

  * Team upload.
  * Backport the upstream commit 672c5076de7e3a526d9bdbb484a69e9386bc49f8 to
    include <QTimer> where needed; patch
    upstream_QTimer-may-not-be-an-incomplete-type-as-it-is-used-a.patch.
    (Closes: #897113)
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Switch from dh_install to dh_missing for --fail-missing.
  * Remove trailing whitespaces in changelog.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Switch watch file to https.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Apr 2018 18:08:38 +0200

ktorrent (1.1-2.1) unstable; urgency=low

   * Non-maintainer upload by sponsor due to no maintainer reaction.
   * Relibtoolize _after_ setting AM_MAINTAINER_MODE (Closes: #349983)

 -- Florian Ernst <florian@debian.org>  Tue, 7 Feb 2006 13:15:30 +0100
