=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
-Build-Depends: cmake (>= 2.8.12), debhelper (>= 9~), pkg-kde-tools (>= 0.15.16),
+Build-Depends: cmake (>= 2.8.12), debhelper (>= 11~), pkg-kde-tools (>= 0.15.16),
  extra-cmake-modules,
  qtbase5-dev (>= 5.7.0),
  qtscript5-dev (>= 5.7.0),
@@ -26,7 +26,6 @@
  libkf5kcmutils-dev (>= 5.15),
  libkf5parts-dev (>= 5.15),
  libkf5plotting-dev (>= 5.15),
- libkf5service-dev (>= 5.15),
  libkf5solid-dev (>= 5.15),
  libkf5textwidgets-dev (>= 5.15),
  libkf5widgetsaddons-dev (>= 5.15),
@@ -37,10 +36,10 @@
  libkf5syndication-dev,
  libboost-dev,
  libktorrent-dev (>= 2.1), libtag1-dev, libgeoip-dev,
-Standards-Version: 4.1.0
+Standards-Version: 4.2.1
 Homepage: https://www.kde.org/applications/internet/ktorrent/
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/ktorrent.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/ktorrent.git
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/ktorrent.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/ktorrent
 
 Package: ktorrent
 Architecture: any
