=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DWITH_SYSTEM_GEOIP:BOOL=ON \
	                           -DBUILD_TESTING=OFF

override_dh_missing:
	dh_missing --fail-missing

override_dh_strip:
	dh_strip --dbgsym-migration='ktorrent-dbg (<< 4.3.1-5~)'

%:
	dh $@ --with kf5

.PHONY: override_dh_auto_test
