=== debian/changelog ===
ktorrent (5.1.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:17:37 +0100

ktorrent (5.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove unused plasma-widget-ktorrent.install file.
  * Drop the migration from ktorrent-dbg, no more needed after two Debian
    stable releases.
  * Bump the libktorrent-dev build dependency to 2.1.1, to make sure to build
    against the newer version.
  * Bump Standards-Version to 4.4.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 14 Sep 2019 14:56:28 +0200
