=== debian/control ===
--- 
+++ 
@@ -35,8 +35,8 @@
  kross-dev (>= 5.15),
  libkf5syndication-dev,
  libboost-dev,
- libktorrent-dev (>= 2.1), libtag1-dev, libgeoip-dev,
-Standards-Version: 4.2.1
+ libktorrent-dev (>= 2.1.1~), libtag1-dev, libgeoip-dev,
+Standards-Version: 4.4.0
 Homepage: https://www.kde.org/applications/internet/ktorrent/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/ktorrent.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/ktorrent
