=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,6 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='ktorrent-dbg (<< 4.3.1-5~)'
-
 %:
 	dh $@ --with kf5
